org.eclipse.net4j.util.om

## Interface OMPlatform

-     public interface OMPlatform

  Represents the platform that `bundles` are deployed into, whether OSGi `is running` or not.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.
  Apiviz
  Apiviz
    `OMBundle` bundles platform, `File` oneway - - stateFolder
  Apiviz
    `OMLogHandler` - - logHandlers, `OMTraceHandler` - - traceHandlers

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static OMPlatform` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLogFilter(OMLogFilter logFilter)`
    `void` | `addLogHandler(OMLogHandler logHandler)`
    `void` | `addTraceHandler(OMTraceHandler traceHandler)`
    `OMBundle` | `bundle(String bundleID, Class<?> accessor)`
    `String[]` | `getCommandLineArgs()`
    `File` | `getConfigFile(String name)`
    `File` | `getConfigFolder()`
    `Properties` | `getConfigProperties(String name)`
    `String` | `getProperty(String key)`
    `String` | `getProperty(String key, String defaultValue)`
    `File` | `getStateFolder()`
    `boolean` | `isDebugging()`
    `boolean` | `isExtensionRegistryAvailable()`
    `boolean` | `isOSGiRunning()`
    `boolean` | `isProperty(String key)`
    `boolean` | `isProperty(String key, boolean defaultValue)`
    `void` | `removeLogFilter(OMLogFilter logFilter)`
    `void` | `removeLogHandler(OMLogHandler logHandler)`
    `void` | `removeTraceHandler(OMTraceHandler traceHandler)`
    `void` | `setDebugging(boolean debugging)`

- - ### Field Detail

    - #### INSTANCE

          static final OMPlatform INSTANCE

  - ### Method Detail

    - #### bundle

          OMBundle bundle(String bundleID,
                          Class<?> accessor)

    - #### isOSGiRunning

          boolean isOSGiRunning()

    - #### isExtensionRegistryAvailable

          boolean isExtensionRegistryAvailable()

      Since:
        2.0

    - #### isDebugging

          boolean isDebugging()

    - #### setDebugging

          void setDebugging(boolean debugging)

    - #### addLogFilter

          void addLogFilter(OMLogFilter logFilter)

      Since:
        3.2

    - #### removeLogFilter

          void removeLogFilter(OMLogFilter logFilter)

      Since:
        3.2

    - #### addLogHandler

          void addLogHandler(OMLogHandler logHandler)

    - #### removeLogHandler

          void removeLogHandler(OMLogHandler logHandler)

    - #### addTraceHandler

          void addTraceHandler(OMTraceHandler traceHandler)

    - #### removeTraceHandler

          void removeTraceHandler(OMTraceHandler traceHandler)

    - #### getStateFolder

          File getStateFolder()

    - #### getConfigFolder

          File getConfigFolder()

    - #### getConfigFile

          File getConfigFile(String name)

    - #### getConfigProperties

          Properties getConfigProperties(String name)

    - #### getProperty

          String getProperty(String key)

      Since:
        3.0

    - #### getProperty

          String getProperty(String key,
                             String defaultValue)

      Since:
        3.0

    - #### isProperty

          boolean isProperty(String key)

      Since:
        3.7

    - #### isProperty

          boolean isProperty(String key,
                             boolean defaultValue)

      Since:
        3.7

    - #### getCommandLineArgs

          String[] getCommandLineArgs()
                               throws IllegalStateException

      Throws:
        `IllegalStateException`
      Since:
        3.2

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html